/* neopixel_8
 *  
 * 8 db felfűzött WS2812 LED vezérlése a FastLed programkönyvtár  
 * használatával (a színspektrum végigfuttatása a LED-eken)
 * 
 * FastLed programkönyvtár: https://github.com/FastLED/FastLED 
 */

#include <FastLED.h>
#define NUM_LEDS 8

CRGBArray<NUM_LEDS> leds;

void setup() {
  FastLED.addLeds<NEOPIXEL, 9>(leds, NUM_LEDS);
  pinMode(7, OUTPUT); digitalWrite(7, LOW);  // Lusta bekötés esetén kell csak!
  pinMode(8, OUTPUT); digitalWrite(8, HIGH); // Lusta bekötés esetén kell csak!
}

void loop() {
  static uint8_t hue = 0;
  for (int i = 0; i < NUM_LEDS; i++) {
    // fade everything out
    leds.fadeToBlackBy(40);

    // let's set an led value
    leds[i] = CHSV(hue, 255, 255);
    hue += 5;
    FastLED.delay(40);
  }
}
