/* RGB_colorwheel2
 *
 * A színkör körbejárása az RGBLED2 programkönyvtár
 * felhasználásával. 
 *
 * Kapcsolás:
 * - Kössük egy RGB LED közös elektródáját a D4 kimenetre, 
 *   a többi kivezetését pedig egy-egy 510 ohmos áramkorlátozó 
 *   ellenálláson keresztül a D3, D5 és D6 kimenetekre!
 *   
 * Igazítsuk a programot a LED-hez:
 *   Közös anód esetén: 
 *   RGBLED rgbLed(3,5,6,COMMON_ANODE); 
 *   illetve a setup() függvényben: digitalWrite(4,HIGH); 
 *   Közös katód esetén pedig: 
 *   RGBLED rgbLed(3,5,6,COMMON_CATHODE);
 *   illetve a setup() függvényben: digitalWrite(4,LOW); 
 *         ___________
 *        |           |   3 x  510R
 *        |        D3 |-----/\/\/\--- RED                           L
 *        |        D4 |-------------- Common            E
 *        |        D5 |-----/\/\/\--- GREEN                      D
 *        |        D6 |-----/\/\/\--- BLUE      
 *        |  Arduino  |       
 *        |___________| 
 *     
 */ 
#include <RGBLED2.h> 
/* Bred Stateham programkönyvtára (http://github.com/BretStateham/rgbled)
 * eredetileg RGBLED néven található, de névütközés miatt RGBLED2 névre 
 * átnevezve találjuk meg az  * arduino19_15.zip csomagban, 
 * ehhez igazítottuk ezt a mintaprogramot is.
 */
 
// Példányosítjuk az RGBLED osztályt rgbLed néven
// A piros, zöld és kék LED-ek a 3,5,6 PWM kimenetekre vannak kötve
// Ebben a példában közös anódú LED szerepel, írjuk át COMMON_CATHODE-ra,
// ha közös katódú LED-et szeretnénk használni!
RGBLED rgbLed(3,5,6,COMMON_ANODE);
 
int delayMs = 100;   //100ms késleltetés legyen a színváltások között
 
void setup() {
  pinMode(4,OUTPUT);               // Csak a "lusta" bekötéshez kell
  digitalWrite(4,HIGH);            // Közös anód: HIGH, katód: LOW
}
 
void loop() {
  rgbLed.writeColorWheel(delayMs); // Körbejárjuk a színkereket
}
