/* rgbled_flash
 *
 * Egy RGB LED-et villogtatunk az RGBLed (Steven Wilmouth)
 * programkönyvtás segítségével. A szekvencia:
 * Piros: 500 ms ON, 500 ms OFF
 * Zöld: 500 ms ON, 500 ms OFF
 * Kék: 8 x 50 ms ON, 50 ms OFF
 * 
 * Kapcsolás:
 * - Kössük egy RGB LED közös elektródáját a D4 kimenetre, 
 *   a többi kivezetését pedig egy-egy 510 ohmos áramkorlátozó 
 *   ellenálláson keresztül a D3, D5 és D6 kimenetekre!
 *   
 *   Igazítsuk a programot a LED-hez:
 *   - Közös katódú LED esetén common_level = LOW legyen!
 *   - Közös anódú LED esetén commonlevel = HIGH legyen!
 *         ___________
 *        |           |   3 x  510R
 *        |        D3 |-----/\/\/\--- RED                           L
 *        |        D4 |-------------- Common            E
 *        |        D5 |-----/\/\/\--- GREEN                      D
 *        |        D6 |-----/\/\/\--- BLUE      
 *        |  Arduino  |       
 *        |___________| 
 *     
 */
#include <RGBLed.h>

RGBLed led(3, 5, 6, COMMON_ANODE);

void setup() { 
  pinMode(4,OUTPUT);
  digitalWrite(4,HIGH);
}  

void loop() {
	
	// Flash red color, interval 1000ms
	led.flash(RGBLed::RED, 1000);

	// Flash green color, interval 1000ms
	led.flash(0, 255, 0, 1000);

  for(int i=0; i<8; i++)
	  led.flash(RGBLed::BLUE, 50);

}
